aboutsummaryrefslogtreecommitdiffstats
path: root/docs/hardware.md
blob: c3cc0e591eac2372b091627407f8063ad3b9d77f (plain)
1
2
3
4
5
6
7
8
# Hardware

QMK runs on a variety of hardware. If your processor can be targeted by [LUFA](http://www.fourwalledcubicle.com/LUFA.php) or [ChibiOS](http://www.chibios.com) you can probably get QMK running on it. This section explores getting QMK running on, and communicating with, hardware of all kinds.

* [Keyboard Guidelines](hardware_keyboard_guidelines.md)
* [AVR Processors](hardware_avr.md)
* ARM Processors (TBD)
* [Drivers](hardware_drivers.md)
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */ .highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */ .highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */ .highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */ .highlight .vc { color: #336699 } /* Name.Variable.Class */ .highlight .vg { color: #dd7700 } /* Name.Variable.Global */ .highlight .vi { color: #3333bb } /* Name.Variable.Instance */ .highlight .vm { color: #336699 } /* Name.Variable.Magic */ .highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
#!/usr/bin/env bash
# Create a new openwrt tree with symlinks pointing at the current tree
# Usage: ./scripts/symlink-tree.sh <destination>

FILES="
	BSDmakefile
	Config.in
	LICENSE
	Makefile
	README
	dl
	docs
	feeds.conf.default
	include
	package
	rules.mk
	scripts
	target
	toolchain
	tools"

if [ -f feeds.conf ] ; then
	FILES="$FILES feeds.conf"
fi

if [ -z "$1" ]; then
	echo "Syntax: $0 <destination>"
	exit 1
fi

if [ -e "$1" ]; then
	echo "Error: $1 already exists"
	exit 1
fi

set -e # fail if any commands fails
mkdir -p dl "$1"
for file in $FILES; do
	[ -e "$PWD/$file" ] || {
		echo "ERROR: $file does not exist in the current tree"
		exit 1
	}
	ln -s "$PWD/$file" "$1/"
done
exit 0